#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys, os
from bottle import route, run, response, request, HTTPError
import glob
import ConfigParser
import logging
import json

restServiceHost = '0.0.0.0'
restServicePort = 28080

logging.basicConfig(format=u'%(levelname)-8s [%(asctime)s] %(message)s', level=logging.DEBUG, filename=u'egaistest.log')

@route('/exciseMark/status', method='POST')
def checkExciseMark():
    logging.info(u'Проверка акцизных марок')

    body = json.loads(request.body.read())
    markStatus = {}
    markStatus["exciseMarkId"] = body["exciseMark"]
    markStatus["price"] = testPrice
    markStatus["status"] = testStatus
    markStatus["message"] = testMessage
    response.content_type = 'application/json'

    return json.dumps(markStatus)

def init():
    logging.info(u'Чтение настроек')
    global restServiceHost
    global restServicePort
    global testStatus
    global testPrice
    global testMessage
    conf = ConfigParser.RawConfigParser()
    conf.read('conf/config.ini')
    restServiceHost = conf.get('main', 'host')
    restServicePort = conf.getint('main', 'port')
    testStatus = conf.getint('main', 'testStatus')
    testPrice = conf.getfloat('main', 'testPrice')
    testMessage = conf.get('main', 'testMessage')

def start():
    logging.info(u'Запускаем сервис')
    try:
        init()        
        logging.info(u'Стартуем на %s:%s' % (restServiceHost, restServicePort))
        run(host=restServiceHost, port=restServicePort)
    except Exception, e:
        print str(e)

if __name__ == '__main__':
    start()
